Package org.apache.solr.common

# Class SolrErrorWrappingException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.apache.solr.common.SolrException
org.apache.solr.common.SolrErrorWrappingException

All Implemented Interfaces:
  `Serializable`

public final class SolrErrorWrappingException extends SolrException
Subclass of SolrException that allows us to wrap arbitrary error objects, and pass them in the errorMessage while preserving the error object structure when returning a response to the user.

See Also:
  - Serialized Form

## Nested Class Summary

## Nested classes/interfaces inherited from class org.apache.solr.common.SolrException

`SolrException.ErrorCode`

## Field Summary

### Fields inherited from class org.apache.solr.common.SolrException

`details, metadata`

## Constructor Summary

Constructors
Constructor
Description
`SolrErrorWrappingException(SolrException.ErrorCode code, String msg, List<Map<String,Object>> errs)`

## Method Summary

Modifier and Type
Method
Description
`static String`
`constructMessage(String message, Object details)`
`String`
`getMessage()`
`String`
`getResponseMessage()`

### Methods inherited from class org.apache.solr.common.SolrException

`code, getDetails, getMetadata, getMetadata, getRootCause, getRootThrowable, getThrowable, logDebugWithMdc, logInfoWithMdc, logWarnWithMdc, setDetails, setMetadata, setMetadata, wrapLuceneTragicExceptionIfNecessary`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### SolrErrorWrappingException

public SolrErrorWrappingException(SolrException.ErrorCode code, String msg, List<Map<String,Object>> errs)

## Method Details

### getResponseMessage

public String getResponseMessage()

Overrides:
  `getResponseMessage` in class `SolrException`

### getMessage

public String getMessage()

Overrides:
  `getMessage` in class `Throwable`

### constructMessage

public static String constructMessage(String message, Object details)